{
    "$graph": [
        {
            "label": "VecscreentFilter",
            "class": "CommandLineTool",
            "baseCommand": "VSlistTo1HitPerLine.awk",
            "arguments": [
                "suspect=0",
                "weak=0",
                "no_hits=0"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#VecscreentFilter.cwl/out_file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#VecscreentFilter.cwl/unfiltered"
                }
            ],
            "stdout": "$(inputs.out_file_name)",
            "id": "#VecscreentFilter.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#VecscreentFilter.cwl/filtered",
                    "outputBinding": {
                        "glob": "$(inputs.out_file_name)"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/blast_db"
                },
                {
                    "type": "string",
                    "id": "#main/blast_db_dir"
                },
                {
                    "type": "File",
                    "id": "#main/fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/filter/filtered",
                    "id": "#main/filtered_hits"
                }
            ],
            "steps": [
                {
                    "run": "#vescreen.cwl",
                    "in": [
                        {
                            "source": "#main/blast_db",
                            "id": "#main/blast/db"
                        },
                        {
                            "source": "#main/blast_db_dir",
                            "id": "#main/blast/db_dir"
                        },
                        {
                            "default": "vs_unfiltered.hit",
                            "id": "#main/blast/out_file_name"
                        },
                        {
                            "source": "#main/fasta",
                            "id": "#main/blast/query"
                        }
                    ],
                    "out": [
                        "#main/blast/out_file"
                    ],
                    "id": "#main/blast"
                },
                {
                    "run": "#VecscreentFilter.cwl",
                    "in": [
                        {
                            "default": "vs_filtered.hit",
                            "id": "#main/filter/out_file_name"
                        },
                        {
                            "source": "#main/blast/out_file",
                            "id": "#main/filter/unfiltered"
                        }
                    ],
                    "out": [
                        "#main/filter/filtered"
                    ],
                    "id": "#main/filter"
                }
            ],
            "id": "#main"
        },
        {
            "label": "vecscreen",
            "class": "CommandLineTool",
            "baseCommand": "vecscreen",
            "arguments": [
                "-f",
                "3"
            ],
            "requirements": [
                {
                    "envDef": [
                        {
                            "envValue": "$(inputs.db_dir)",
                            "envName": "BLASTDB"
                        }
                    ],
                    "class": "EnvVarRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-d"
                    },
                    "id": "#vescreen.cwl/db"
                },
                {
                    "type": "string",
                    "id": "#vescreen.cwl/db_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "-",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#vescreen.cwl/out_file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#vescreen.cwl/query"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_file_name)"
                    },
                    "id": "#vescreen.cwl/out_file"
                }
            ],
            "id": "#vescreen.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
